#pragma strict
var currentPlayer : int = 0;

var players : String[,] = new String[4,4];




function isDebuff()
{
	Debug.Log("isDebuff");
	if(Random.Range(0,10) == 1)
		{debuff();}
	
	return;
}
function debuff()
{
	Debug.Log("debuff");
	var choice : int = Random.Range(1,5);
	
	switch(choice)
	{
		case 1:
			GameObject.Find("Nav").GetComponent(Controller).inv = -1;
					yield WaitForSeconds(5);
			GameObject.Find("Nav").GetComponent(Controller).inv = 1;		
			break;
		case 2:
			GameObject.Find("Nav").GetComponent(Controller).inv = -1;
					yield WaitForSeconds(5);
			GameObject.Find("Nav").GetComponent(Controller).inv = 1;
			break;
		case 3:
			GameObject.Find("Nav").GetComponent(Controller).inv = -1;
					yield WaitForSeconds(5);
			GameObject.Find("Nav").GetComponent(Controller).inv = 1;
			break;
		case 4:
			GameObject.Find("Nav").GetComponent(Controller).inv = -1;
					yield WaitForSeconds(5);
			GameObject.Find("Nav").GetComponent(Controller).inv = 1;
			break;
		}
	return;
}